Loading...
Searching...
No Matches
Opm::SimulatorSerializer Class Reference

Class handling simulator serialization. More...

`#include <SimulatorSerializer.hpp>`

## Public Member Functions

| SimulatorSerializer (SerializableSim &simulator, Parallel::Communication &comm, const IOConfig &ioconfig, const std::string &saveSpec, int loadStep, const std::string &saveFile, const std::string &loadFile)
| Constructor inits parameters.
bool | shouldLoad () const
| Returns whether or not a state should be loaded.
int | loadStep () const
| Returns step to load.
void | save (SimulatorTimer &timer)
| Save data to file if appropriate.
void | loadTimerInfo (SimulatorTimer &timer)
| Loads time step info from file.
void | loadState ()
| Load state from file.

## Detailed Description

Class handling simulator serialization.

## Constructor & Destructor Documentation

## SimulatorSerializer()

Opm::SimulatorSerializer::SimulatorSerializer | ( | SerializableSim & | simulator,
|  | Parallel::Communication & | comm,
|  | const IOConfig & | ioconfig,
|  | const std::string & | saveSpec,
|  | int | loadStep,
|  | const std::string & | saveFile,
|  | const std::string & | loadFile )

Constructor inits parameters.

Parameters

  simulator | Reference to a serializable simulator
  comm | Parallel communicator to use
  ioconfig | I/O configuration object
  saveSpec | Specification of steps to save
  loadStep | Step to load
  saveFile | File to save to
  loadFile | File to load from

## Member Function Documentation

## loadState()

void Opm::SimulatorSerializer::loadState | ( |  | ) |

Load state from file.

Load simulator state from serialized state.

## loadTimerInfo()

void Opm::SimulatorSerializer::loadTimerInfo | ( | SimulatorTimer & | timer | ) |

Loads time step info from file.

Load timer info from serialized state.

The documentation for this class was generated from the following files:

- opm/simulators/flow/SimulatorSerializer.hpp
- opm/simulators/flow/SimulatorSerializer.cpp